LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XBookmarkInsertTool Interface Referencepublished

offers an easy way to insert bookmarks by name. More...

`import"XBookmarkInsertTool.idl";`

Inheritance diagram for XBookmarkInsertTool:

## Public Member Functions
com::sun::star::text::XTextContent | insertNewBookmark ([in] com::sun::star::text::XTextRange xTextRange, [in] string aName)
| inserts a bookmark at the specified text position. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

offers an easy way to insert bookmarks by name.

See also
  Text

## Member Function Documentation

## ◆ insertNewBookmark()

com::sun::star::text::XTextContent insertNewBookmark | ( | [in] com::sun::star::text::XTextRange | xTextRange,
|  | [in] string | aName
| ) |  |

inserts a bookmark at the specified text position.

The documentation for this interface was generated from the following file:

- com/sun/star/text/XBookmarkInsertTool.idl